## Contents

- `batchx` package containing `bx` main application module.

## How to use

1. Import library:
```
import os
from batchx import bx
```

2. Connect to server and provide authentication credentials:
```
bx.connect("api.batchx.io:8980", os.environ["BATCHX_TOKEN"])
```

3. Instantiate service class. For example:
```
user_service = bx.UserService()
```

4. Create data request. For example:
```
request = user_service.GetUserRequest(user="nacho")
```

5. Call remote service. For example:
```
response = user_service.GetUser(request)
```



## Dependencies
- grpc
- retry
- PyJWT==1.7.1 <-- Important! Don't use PyJWT > 2.0